Bug 950524 - [Indic] Default fonts for Indic languages are not lohit, hence rendering is bad for translation
[Indic] Default fonts for Indic languages are not lohit, hence rendering is b...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-10 07:39 EDT by A S Alam
Modified: 2015-02-17 09:57 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:57:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot with Yellow Line (72.14 KB, image/png)
2013-04-10 07:39 EDT, A S Alam
no flags Details
2nd Screenshot with Yellow Line (81.05 KB, image/png)
2013-04-10 07:41 EDT, A S Alam
no flags Details

  None (edit)
Description A S Alam 2013-04-10 07:39:16 EDT
Created attachment 733653 [details]
Screenshot with Yellow Line

Description of problem:
Anaconda is not using Lohit-* font family for Indic languages (Hindi, Gujarati, Odia, Punjabi), (but gnu free Sans/Serif, package 'gnu-free-fonts-*'), so Rendering is effected for those languages.

Version-Release number of selected component (if applicable):


How reproducible:
every-time

Steps to Reproduce:
1.  run anaconda (liveinst)
2. Check Language Name (Gujarati, Hindi, Oriya, Punjabi, Malayalam)
3. Rendering is not good as Fonts are Lohit, but gnu-free-fonts
  
Actual results:
Gun-free-fonts set default in anaconda

Expected results:
default fonts should be lohit for Indic locales

Additional info:
Screenshot for such language
Comment 1 A S Alam 2013-04-10 07:41:19 EDT
Created attachment 733655 [details]
2nd Screenshot with Yellow Line
Comment 2 Chris Lumens 2013-04-10 09:48:55 EDT
anaconda doesn't use any font in particular; it uses whatever is in the image, which anaconda does not build.
Comment 3 Brian Lane 2013-04-10 12:55:21 EDT
This is a live spin issue, lorax already includes all of the lohit fonts:

share/runtime-install.tmpl:installpkg lohit-*-fonts
Comment 5 Fedora End Of Life 2015-01-09 12:52:23 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 09:57:57 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.